Package org.apache.wiki.tags

# Class TranslateTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.apache.wiki.tags.TranslateTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class TranslateTag extends javax.servlet.jsp.tagext.BodyTagSupport
Converts the body text into HTML content.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`TranslateTag()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`doAfterBody()`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### TranslateTag

public TranslateTag()

## Method Details

### doAfterBody

public final int doAfterBody() throws javax.servlet.jsp.JspException

Specified by:
  `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
Overrides:
  `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`